# 🌤️ TermoCast

## Overview

**TermoCast** is a simple command-line application that allows users to retrieve and display weather forecasts directly in their terminal. It provides a user-friendly interface to access real-time weather information without opening a web browser.

---

## Features

- **Current Weather Information**: 
  - Fetch and display current weather conditions for a specified city.

- **Forecast Display**: 
  - Show a detailed weather forecast for the next few days.

- **Terminal-Based**: 
  - Lightweight and efficient, designed for quick access to weather data from the command line.

- **Cross-Platform**: 
  - Works on Linux, macOS, and Windows (with a compatible terminal).

---

## Installation From Source

### Prerequisites

- **Python 3.6** or higher
- **pip** (Python package installer)

### Installation Steps

1. **Clone the Repository**:
   ```bash
   git clone https://github.com/yourusername/TermoCast.git
   cd TermoCast
   ```
 2. **Install Dependencies: Use pip to install the required packages:**
    ```bash
    pip install -r requirements.txt
    ```
  3.**Install the Application: You can install the application system-wide using:**
      ```pyhton3
        python setup.py install
      ```            
   **Alternatively, for a user-specific installation:**

   ```bash 
      python setup.py install --user 
   ```


# Usage
### Basic Command
**To get the weather forecast for a specific city, use the following command:**
 ```bash
    weather
 ```

 
 # Install Using PIP
 